From bf5f6365e183197fc56c7b15f738e798897a47c9 Mon Sep 17 00:00:00 2001
From: Sam Bobroff <sbobroff@redhat.com>
Date: Mon, 29 May 2017 05:29:50 +0200
Subject: [PATCH 6/6] target/ppc: Show POWER9 in -cpu help

RH-Author: Sam Bobroff <sbobroff@redhat.com>
Message-id: <2135250737.13601356.1496035790922.JavaMail.zimbra@redhat.com>
Patchwork-id: 75426
O-Subject: [RHEL-7.4 qemu-kvm PATCH] target/ppc: Show POWER9 in -cpu help
Bugzilla: 1449969
RH-Acked-by: David Gibson <dgibson@redhat.com>
RH-Acked-by: Laurent Vivier <lvivier@redhat.com>
RH-Acked-by: Thomas Huth <thuth@redhat.com>

Allow the entry for POWER9 to be shown in the list of CPUs displayed by
'-cpu help' on the command line. The entry was removed due to a
downstream patch so there is no upstream associated with this change.

Signed-off-by: Sam Bobroff <sbobroff@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 hw/ppc/spapr_cpu_core.c | 2 --
 target/ppc/cpu-models.c | 4 +++-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/hw/ppc/spapr_cpu_core.c b/hw/ppc/spapr_cpu_core.c
index 0bc7c6d..fd29e9c 100644
--- a/hw/ppc/spapr_cpu_core.c
+++ b/hw/ppc/spapr_cpu_core.c
@@ -248,10 +248,8 @@ static const char *spapr_core_models[] = {
 
     /* POWER8NVL */
     "POWER8NVL_v1.0",
-#if 0  /* Disabled for Red Hat Enterprise Linux */
     /* POWER9 */
     "POWER9_v1.0",
-#endif
 };
 
 void spapr_cpu_core_class_init(ObjectClass *oc, void *data)
diff --git a/target/ppc/cpu-models.c b/target/ppc/cpu-models.c
index 7861276..08a1f59 100644
--- a/target/ppc/cpu-models.c
+++ b/target/ppc/cpu-models.c
@@ -1148,10 +1148,12 @@
 #if 0  /* Disabled for Red Hat Enterprise Linux */
     POWERPC_DEF("970_v2.2",      CPU_POWERPC_970_v22,                970,
                 "PowerPC 970 v2.2")
+#endif
 
     POWERPC_DEF("POWER9_v1.0",   CPU_POWERPC_POWER9_BASE,            POWER9,
                 "POWER9 v1.0")
 
+#if 0  /* Disabled for Red Hat Enterprise Linux */
     POWERPC_DEF("970fx_v1.0",    CPU_POWERPC_970FX_v10,              970,
                 "PowerPC 970FX v1.0 (G5)")
     POWERPC_DEF("970fx_v2.0",    CPU_POWERPC_970FX_v20,              970,
@@ -1401,8 +1403,8 @@ PowerPCCPUAlias ppc_cpu_aliases[] = {
     { "POWER8E", "POWER8E_v2.1" },
     { "POWER8", "POWER8_v2.0" },
     { "POWER8NVL", "POWER8NVL_v1.0" },
-#if 0  /* Disabled for Red Hat Enterprise Linux */
     { "POWER9", "POWER9_v1.0" },
+#if 0  /* Disabled for Red Hat Enterprise Linux */
     { "970", "970_v2.2" },
     { "970fx", "970fx_v3.1" },
     { "970mp", "970mp_v1.1" },
-- 
1.8.3.1

